[134815] trunk/dports/graphics/geeqie

devans at macports.org devans at macports.org
Tue Apr 7 16:23:55 PDT 2015


Revision: 134815
          https://trac.macports.org/changeset/134815
Author:   devans at macports.org
Date:     2015-04-07 16:23:55 -0700 (Tue, 07 Apr 2015)
Log Message:
-----------
geeqie: reconfigure using autogen.sh for intltool 0.51 compatibility, dependencies, add modeline, minor reformating.

Modified Paths:
--------------
    trunk/dports/graphics/geeqie/Portfile

Added Paths:
-----------
    trunk/dports/graphics/geeqie/files/
    trunk/dports/graphics/geeqie/files/autogen.sh

Modified: trunk/dports/graphics/geeqie/Portfile
===================================================================
--- trunk/dports/graphics/geeqie/Portfile	2015-04-07 21:56:12 UTC (rev 134814)
+++ trunk/dports/graphics/geeqie/Portfile	2015-04-07 23:23:55 UTC (rev 134815)
@@ -1,33 +1,42 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
-PortSystem 1.0
+PortSystem          1.0
 
 name                geeqie
 version             1.1
+license             GPL
 categories          graphics x11
 platforms           darwin
 maintainers         nomaintainer
 description         Geeqie Image Viewer
-long_description \
-    Geeqie is a lightweight Gtk+ based image viewer for Unix like operating \
-    systems.
+long_description    Geeqie is a lightweight Gtk+ based image viewer for Unix like operating \
+                    systems.
 homepage            http://geeqie.sourceforge.net/
 master_sites        sourceforge:project/geeqie/geeqie/geeqie-${version}/
 
-checksums           md5     e63351988625c84b0fd80bc4eefd923b \
-                    sha1    77167479e91e03d9512535a146c5d2d77941257f \
-                    rmd160  060c62c3db32fe4bc05aa6dccd052360d3aac3cf \
+checksums           rmd160  060c62c3db32fe4bc05aa6dccd052360d3aac3cf \
                     sha256  5544e81c29917a647f19bfe800d9f0dd1cd5b890329feebd9abd80927e1afecf
 
 depends_build       port:pkgconfig \
-                    port:intltool
-depends_lib         port:gtk2 \
+                    port:intltool \
+                    port:autoconf \
+                    port:automake \
+                    port:libtool
+
+depends_lib         port:desktop-file-utils \
+                    port:gtk2 \
                     port:exiv2 \
                     port:lcms
 
-# For intltool
-use_autoreconf      yes
+# reconfigure using autogen.sh for intltool 0.51 compatibility
 
+post-patch {
+    xinstall -m 755 ${filespath}/autogen.sh ${worksrcpath}
+}
+
+configure.cmd       ./autogen.sh
+
 configure.args      --disable-lirc \
                     --disable-gps \
                     --disable-debug-log \

Added: trunk/dports/graphics/geeqie/files/autogen.sh
===================================================================
--- trunk/dports/graphics/geeqie/files/autogen.sh	                        (rev 0)
+++ trunk/dports/graphics/geeqie/files/autogen.sh	2015-04-07 23:23:55 UTC (rev 134815)
@@ -0,0 +1,141 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+#this was originally taken from the gnome macros/autogen.sh scripts
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+(test -f $srcdir/configure.in \
+  && test -f $srcdir/src/main.c \
+  && test -f $srcdir/src/main.h) || {
+    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+    echo " top-level geeqie directory"
+    exit 1
+}
+
+DIE=0
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+  echo
+  echo "**Error**: You must have \`autoconf' installed."
+  echo "Download the appropriate package for your distribution,"
+  echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+  DIE=1
+}
+
+(grep "^AM_GLIB_GNU_GETTEXT" $srcdir/configure.in >/dev/null) && {
+  (grep "sed.*POTFILES" $srcdir/configure.in) >/dev/null || \
+  (glib-gettextize --version) < /dev/null > /dev/null 2>&1 || {
+    echo
+    echo "**Error**: You must have \`glib-gettextize' installed."
+    echo "glib-gettextize is a part of glib."
+    echo "You can get it from: ftp://ftp.gtk.org/pub/gtk"
+    DIE=1
+  }
+}
+
+(intltoolize --version) < /dev/null > /dev/null 2>&1 || {
+  echo
+  echo "**Error**: You must have \`intltoolize' installed" 
+  DIE=1
+}
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+  echo
+  echo "**Error**: You must have \`automake' installed."
+  echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
+  DIE=1
+  NO_AUTOMAKE=yes
+}
+
+# if no automake, don't bother testing for aclocal
+test -n "$NO_AUTOMAKE" || (aclocal --version) < /dev/null > /dev/null 2>&1 || {
+  echo
+  echo "**Error**: Missing \`aclocal'.  The version of \`automake'"
+  echo "installed doesn't appear recent enough."
+  echo "You can get automake from ftp://ftp.gnu.org/pub/gnu/"
+  DIE=1
+}
+
+if test "$DIE" -eq 1; then
+  exit 1
+fi
+
+if test -z "$*"; then
+  echo "**Warning**: I am going to run \`configure' with no arguments."
+  echo "If you wish to pass any to it, please specify them on the"
+  echo \`$0\'" command line."
+  echo
+fi
+
+case $CC in
+xlc )
+  am_opt=--include-deps;;
+esac
+
+auxdir="`sed -ne 's/^[ \t]*A._CONFIG_AUX_DIR *( *\([^ )]*\).*/\1/p' $srcdir/configure.in`"
+if test -n "$auxdir"; then
+  if test ! -d "$srcdir/$auxdir"; then
+    mkdir -p "$srcdir/$auxdir"
+  fi                                                                            fi
+
+for coin in `find $srcdir -name configure.in -print`
+do 
+  dr=`dirname $coin`
+  if test -f $dr/NO-AUTO-GEN; then
+    echo skipping $dr -- flagged as no auto-gen
+  else
+    echo processing $dr
+    macrodirs=`sed -n -e 's,AM_ACLOCAL_INCLUDE(\(.*\)),\1,gp' < $coin`
+    ( cd $dr
+      aclocalinclude="$ACLOCAL_FLAGS"
+      for k in $macrodirs; do
+  	if test -d $k; then
+          aclocalinclude="$aclocalinclude -I $k"
+  	##else 
+	##  echo "**Warning**: No such directory \`$k'.  Ignored."
+        fi
+      done
+      if grep "^AM_GLIB_GNU_GETTEXT" configure.in >/dev/null; then
+	if grep "sed.*POTFILES" configure.in >/dev/null; then
+	  : do nothing -- we still have an old unmodified configure.in
+	else
+	  echo "Creating $dr/aclocal.m4 ..."
+	  test -r $dr/aclocal.m4 || touch $dr/aclocal.m4
+	  echo "Running glib-gettextize..."
+	  echo "no" | glib-gettextize --force --copy
+	  echo "Running intltoolize"
+	  intltoolize --copy --force --automake
+	  if intltoolize --version | grep -q ' 0.40.6'; then
+		  echo "Workaround intltoolize 0.40.6 bug (LINGUAS)"
+		  sed "s:'\^\$\$lang\$\$':\^\$\$lang\$\$:g" -i po/Makefile.in.in
+	  fi
+	  echo "Making $dr/aclocal.m4 writable ..."
+	  test -r $dr/aclocal.m4 && chmod u+w $dr/aclocal.m4
+        fi
+      fi
+      echo "Running aclocal $aclocalinclude ..."
+      aclocal $aclocalinclude
+      if grep "^AC_CONFIG_HEADER" configure.in >/dev/null; then
+	echo "Running autoheader..."
+	autoheader
+      fi
+      echo "Running automake --gnu $am_opt ..."
+      automake --add-missing --gnu $am_opt
+      echo "Running autoconf ..."
+      autoconf
+    )
+  fi
+done
+
+#conf_flags="--enable-maintainer-mode" #--enable-iso-c
+conf_flags=""
+
+if test x$NOCONFIGURE = x; then
+  echo Running $srcdir/configure $conf_flags "$@" ...
+  $srcdir/configure $conf_flags "$@" \
+  && echo Now type \`make\' to compile $PKG_NAME
+else
+  echo Skipping configure process.
+fi
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20150407/8be9060d/attachment-0001.html>


More information about the macports-changes mailing list